---
title: Element.part
slug: Web/API/Element/part
tags:
  - API
  - Element
  - Property
  - Reference
  - part
---
<div>{{ ApiRef("DOM") }}</div>

<p>The <strong><code>part</code></strong> property of the {{domxref("Element")}} interface represents the part identifier(s) of the element (i.e. set using the <code>part</code> attribute), returned as a {{domxref("DOMTokenList")}}. These can be used to style parts of a shadow DOM, via the {{cssxref("::part")}} pseudo-element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>let elementPartList = element</em>.part
</pre>

<h2 id="Examples">Examples</h2>

<p>The following excerpt is from our <a href="https://mdn.github.io/web-components-examples/shadow-part/">shadow-part</a> example. Here the <code>part</code> attribute is used to find the shadow parts, and the <code>part</code> property is then used to change the part identifiers of each tab so the correct styling is applied to the active tab when tabs are clicked.  </p>

<pre class="brush: js">let tabs = [];
let children = this.shadowRoot.children;

for(let elem of children) {
  if(elem.getAttribute('part')) {
    tabs.push(elem);
  }
}

tabs.forEach((tab) =&gt; {
  tab.addEventListener('click', (e) =&gt; {
    tabs.forEach((tab) =&gt; {
      tab.part = 'tab';
    })
    e.target.part = 'tab active';
  })

  console.log(tab.part);
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Shadow Parts", "#idl", "Element.part")}}</td>
   <td>{{Spec2('CSS Shadow Parts')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.part")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("::part")}}</li>
 <li>{{htmlattrxref("part")}}</li>
</ul>
